Main menu

Navigation

problem with ESMF_LIBDIR in cesm1.1

3 posts / 0 new
Last post
s.albani@...
problem with ESMF_LIBDIR in cesm1.1

Hi!

I have a similar problem to the one discussed in the topic "Problem building CESM1_0_5 on yellowstone".

Briefly, I want to run CAM5 (the FC5 compset) with MERRA reanalysis, for which I undestand I need to use ESMF. I did change

./xmlchange -file env_build.xml -id USE_ESMF_LIB -val TRUE

The model build crashes, and from the log file it's pointing to "/glade/p/work/svasquez/install/esmf-5.3.0-O/lib/esmf.mk: No such file or directory"

The ESMF_LIBDIR is undefined: "echo $ESMF_LIBDIR" gives "ESMF_LIBDIR: Undefined variable."

Now I should point to the right library, and I tried the solution suggested in "Problem building CESM1_0_5 on yellowstone", that is

./xmlchange -file env_build.xml -id ESMF_LIBDIR -val /glade/p/work/svasquez/ESMF_5_2_0p1/esmf/lib/libO/Linux.intel.64.mpich2.default/

but the problem is that there is no ESMF_LIBDIR filed in the env_build.xml files for this model version, at least the few compsets that I tried: FC5, FSDBAMCN, B2000CN. Manually editing the xml file is not working, so I am not sure how to set alternatively the environmental variable to the correct library.

Any suggestion would be appreciated! Thanks,

Samuel

jedwards

Hi Samuel,

 

In cesm1.1.1 you should not require any changes.   This model requires ESMF version 5.3 which is loaded via the modules environment in env_mach_specific

:)  module load esmf               
:)  module load esmf-5.3.0-ncdfio-uni-O
:) echo $ESMF_LIBDIR
/glade/apps/opt/esmf/5.3.0-ncdfio/intel/12.1.5/lib/libO/Linux.intel.64.mpiuni.default

If you are using cesm1.1.0 (1.1) and not 1.1.1 please update to 1.1.1

 

CESM Software Engineer

s.albani@...

Hi!

Using cesm1.1.1 worked well, as you suggested. Thank you!

Log in or register to post comments

Who's new

  • afroberts@...
  • richard.allard@...
  • tracy@...
  • 498749303@...
  • lijundesio@...